Name:           nifti2dicom
Version:        0.4.9
Release:        1%{?dist}
Summary:        Converts 3D medical images to DICOM 2D series

License:        GPLv3+
URL:            https://github.com/biolab-unige/nifti2dicom
Source0:        https://github.com/biolab-unige/nifti2dicom/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

ExcludeArch:    ppc ppc64

BuildRequires:  cmake
BuildRequires:  gdcm-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel
BuildRequires:  qt4-webkit-devel
BuildRequires:  vtk-devel
BuildRequires:  vxl-devel
BuildRequires:  hdf5-devel
BuildRequires:  InsightToolkit-devel
BuildRequires:	lapack-devel
BuildRequires:	blas-devel
BuildRequires:  tclap-devel
BuildRequires:  libxml2-devel
BuildRequires:  doxygen
BuildRequires:  jsoncpp-devel
BuildRequires:  python-devel
BuildRequires:  netcdf-cxx-devel

%description
Nifti2Dicom is a conversion tool that converts 3D NIfTI files (and other
formats supported by ITK, including Analyze, MetaImage Nrrd and VTK)
to DICOM.

Unlike other conversion tools, it can import a DICOM file that is used
to import the patient and study DICOM tags, and allows you to edit the
accession number and other DICOM tags, in order to create a valid DICOM
that can be imported in a PACS.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
%make_install -C %{_target_platform}
desktop-file-validate %{buildroot}%{_datadir}/applications/qnifti2dicom.desktop

%post
/bin/touch --no-create %{_datadir}/icons/{hicolor,locolor,mono} &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/{hicolor,locolor,mono} &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/{hicolor,locolor,mono} &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_bindir}/nifti2dicom
%{_bindir}/qnifti2dicom
%{_datadir}/icons/*/*/apps/qnifti2dicom.png
%{_datadir}/applications/qnifti2dicom.desktop

%doc AUTHORS NEWS COPYING
%{_mandir}/man1/*.1.*


%changelog
* Tue Nov 18 2014 Daniel Vrátil <dvratil@redhat.com> - 0.4.9-1
- Update to 0.4.9

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Aug 07 2014 Daniel Vrátil <dvratil@redhat.com> - 0.4.8-3
- rebuild for VTK

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jun 04 2014 Daniel Vrátil <dvratil@redhat.com> 0.4.8-1
- Update to 0.4.8

* Mon Jun  2 2014 Tom Callaway <spot@fedoraproject.org> 0.4.7-3.1
- rebuild aginst fixed InsightToolkit

* Wed May  7 2014 Tom Callaway <spot@fedoraproject.org> 0.4.7-3
- rebuild for new R

* Thu Apr 10 2014 Daniel Vrátil <dvratil@redhat.com> 0.4.7-2
- Apply upstream patch to fix build against VTK 6

* Wed Mar 12 2014 Orion Poplawski <orion@cora.nwra.com> 0.4.7-1
- Update to 0.4.7

* Mon Aug 05 2013 Daniel Vrátil <dvratil@redhat.com> 0.4.6-4
 - Rebuild against VTK

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Daniel Vrátil <dvratil@redhat.com> 0.4.6-2
 - rebuild against ITK

* Thu Jun 06 2013 Daniel Vrátil <dvratil@redhat.com> 0.4.6-1
 - update to 0.4.6
 - dropped the linking patch (now included in upstream)

* Thu May 02 2013 Daniel Vrátil <dvratil@redhat.com> 0.4.5-4
 - added AUTHORS, NEWS and COPYING to doc
 - removed graphviz from BR
 - exclude ppc and ppc64 until InsightToolkit's available there

* Sat Apr 27 2013 Daniel Vrátil <dvratil@redhat.com> 0.4.5-3
 - added qt4-webkit-devel to BR

* Fri Apr 26 2013 Daniel Vrátil <dvratil@redhat.com> 0.4.5-2
 - updated license to GPLv3+
 - added cmake to BR
 - added desktop-file-validate
 - added gtk-update-icon-cache
 - fixed %doc instal file

* Wed Apr 24 2013 Daniel Vrátil <dvratil@redhat.com> 0.4.5-1
 - Initial SPEC
